Mandrake Linux Security Advisory : pdftohtml (MDKSA-2007:223)

High Nessus Plugin ID 28273


The remote Mandrake Linux host is missing a security update.


Alin Rad Pop found several flaws in how PDF files are handled in pdftohtml. An attacker could create a malicious PDF file that would cause pdftohtml to crash or potentially execute arbitrary code when opened.

The updated packages have been patched to correct this issue.


Update the affected pdftohtml package.

Plugin Details

Severity: High

ID: 28273

File Name: mandrake_MDKSA-2007-223.nasl

Version: $Revision: 1.13 $

Type: local

Published: 2007/11/20

Modified: 2015/03/19

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 9.3

Temporal Score: 8.1

Vector: CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:ND/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:mandriva:linux:pdftohtml, cpe:/o:mandriva:linux:2007, cpe:/o:mandriva:linux:2007.1

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/Mandrake/release, Host/Mandrake/rpm-list

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2007/11/17

Reference Information

CVE: CVE-2007-4352, CVE-2007-5392, CVE-2007-5393

BID: 26367

MDKSA: 2007:223

CWE: 119